Предварительные требования для Exchange Server

В этой статье приведены шаги для выполнения всех необходимых предварительных требований к операционной системе Windows Server для установки серверов почтовых ящиков и пограничных транспортных серверов Exchange Server 2016 и Exchange Server 2019, а также предварительных требований к Windows для установки средств управления Exchange на клиентских компьютерах с ОС Windows.

После подготовки среды к Exchange Server используйте помощник по развертыванию Exchange на последующих этапах фактического развертывания. Дополнительные сведения о гибридных развертываниях см. в статье Гибридные развертывания Exchange Server.

Чтобы действительно установить Exchange 2016 и Exchange 2019, см. статью Развертывание новых установок Exchange.

Совет

  • Нужно ознакомиться с предварительными требованиями для Exchange 2013? См. статью Предварительные требования для Exchange 2013.

  • Служба удаленного управления реестром должна быть настроена на работу в автоматическом режиме и не может быть отключена. Рекомендации по безопасности см. в разделе Удаленный реестр.

  • Вы слышали о помощнике по развертыванию Exchange Server? Это бесплатное веб-средство, с помощью которого вы можете быстро развернуть Exchange Server в вашей организации. Для этого помощник задаст вам несколько вопросов и на основании ваших ответов создаст контрольный список развертывания. Дополнительные сведения см. в статье Помощник по развертыванию Microsoft Exchange Server.

Что нужно знать перед началом работы

  • Сведения о том, как проверить, соответствует ли Active Directory требованиям для Exchange 2016, см. в разделе Сеть и серверы каталогов для Exchange 2016.

  • Полный вариант установки Windows Server 2012 и Windows Server 2012 R2 должен использоваться для всех серверов с установленными ролями или средствами управления Exchange 2016.

  • Некоторые компоненты требуют перезагрузки сервера для завершения установки.

Примечание

Если на сервере выполнена установка Exchange, вам не удастся обновить версию ОС Windows, а также обновить версию Standard до Datacenter.

Примечание

"Впервые в Exchange 2019" — возможность обновления версии операционной системы при установке Exchange в Windows Server 2019 или более поздней версии.

  • Убедитесь, что компьютер подключен к соответствующему внутреннему домену Active Directory.

  • Установите на компьютере последние обновления Windows.

Совет

Возникли проблемы? Попросите помощи на форумах Exchange. Перейти на форумы можно по следующей ссылке: Exchange Server.

Предварительные требования для подготовки Active Directory к Exchange 2019

Вы можете использовать любой рядовой сервер из домена Active Directory для подготовки Active Directory к Exchange 2019.

  1. На компьютере должно быть установлено следующее программное обеспечение:

    а) .NET Framework 4.8

    Примечание

    При установке Windows Server Core необходимо использовать параметр "/q", чтобы установить этот пакет. При желании можно использовать параметр "/log [ПУТЬ]" для ведения журнала.

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    Примечание

    • В системных требованиях для распространяемого пакета Visual C++ не упоминается поддержка Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • См. обзор актуальных поддерживаемых версий в разделе: версии распространяемого пакета Visual C++.

    • Распространяемый пакет Visual C++ обязателен, если для подготовки Active Directory используется мастер установки Exchange. Если для подготовки Active Directory используется автоматическая установка из командной строки, этот пакет не требуется. Дополнительные сведения см. в статье Подготовка Active Directory и доменов.

  2. Установите пакет средств удаленного администрирования с помощью следующей команды в Windows PowerShell:

    Install-WindowsFeature RSAT-ADDS
    

Примечание

Чтобы использовать мастер установки Exchange для подготовки Active Directory, необходимо установить роль средств управления Exchange.

Предварительные требования к Windows Server 2019 для Exchange 2019

Требования для установки Exchange 2019 на компьютерах с Windows Server 2019 описаны в следующих разделах. Мы рекомендуем применить один из указанных ниже способов, чтобы выполнить предварительные требования к Windows для Exchange 2019.

  • Используйте параметр /InstallWindowsComponents в режиме автоматической установки.
  • Установите флажок в мастере установки Exchange, чтобы выполнить предварительные условия в отношении Windows.

Если вы используете один из указанных ниже вариантов, не нужно перезагружать компьютер после добавления компонентов Windows.

Серверы почтовых ящиков Exchange 2019 на Windows Server 2019

  1. Установите следующее программное обеспечение:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    в) распространяемый пакет Visual C++ для Visual Studio 2013.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

    г) Модуль перезаписи URL-адресов IIS

    Примечание

    Модуль перезаписи URL-адресов IIS требуется с накопительным обновлением 11 или более поздней версии.

  2. Добавьте обязательные компоненты для Lync Server или Skype для бизнеса Server.

    А. Установите компонент Windows Server Media Foundation, выполнив следующую команду в Windows PowerShell:

    Install-WindowsFeature Server-Media-Foundation
    

    Б. Установите Unified Communications Managed API 4.0. Этот пакет доступен для скачивания и находится в папке \UCMARedist на носителе Exchange Server.

    Примечание

    Не забудьте использовать API Unified Communications Managed API 4.0, пока команда Exchange не заявит о чем-либо другом.

    Во время установки на Windows Server Core необходимо использовать пакет установки, расположенный в \UCMARedist на распространяемом носителе.

  3. Если вы не собираетесь использовать программу установки Exchange для установки необходимых компонентов Windows (в мастере или из командной строки), выполните одну из указанных ниже команд в Windows PowerShell.

    • Возможности рабочего стола:

      Install-WindowsFeature Server-Media-Foundation, NET-Framework-45-Features, RPC-over-HTTP-proxy, RSAT-Clustering, RSAT-Clustering-CmdInterface, RSAT-Clustering-Mgmt, RSAT-Clustering-PowerShell, WAS-Process-Model, Web-Asp-Net45, Web-Basic-Auth, Web-Client-Auth, Web-Digest-Auth, Web-Dir-Browsing, Web-Dyn-Compression, Web-Http-Errors, Web-Http-Logging, Web-Http-Redirect, Web-Http-Tracing, Web-ISAPI-Ext, Web-ISAPI-Filter, Web-Lgcy-Mgmt-Console, Web-Metabase, Web-Mgmt-Console, Web-Mgmt-Service, Web-Net-Ext45, Web-Request-Monitor, Web-Server, Web-Stat-Compression, Web-Static-Content, Web-Windows-Auth, Web-WMI, Windows-Identity-Foundation, RSAT-ADDS
      
    • Server Core:

      Install-WindowsFeature Server-Media-Foundation, NET-Framework-45-Features, RPC-over-HTTP-proxy, RSAT-Clustering, RSAT-Clustering-CmdInterface, RSAT-Clustering-PowerShell, WAS-Process-Model, Web-Asp-Net45, Web-Basic-Auth, Web-Client-Auth, Web-Digest-Auth, Web-Dir-Browsing, Web-Dyn-Compression, Web-Http-Errors, Web-Http-Logging, Web-Http-Redirect, Web-Http-Tracing, Web-ISAPI-Ext, Web-ISAPI-Filter, Web-Metabase, Web-Mgmt-Service, Web-Net-Ext45, Web-Request-Monitor, Web-Server, Web-Stat-Compression, Web-Static-Content, Web-Windows-Auth, Web-WMI, RSAT-ADDS
      

Пограничные транспортные серверы Exchange 2019 на Windows Server 2019

  1. Установите следующее программное обеспечение:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

  2. Если вы не собираетесь использовать программу установки Exchange для установки необходимых компонентов Windows (в мастере или из командной строки), выполните указанную ниже команду в Windows PowerShell.

    Install-WindowsFeature ADLDS
    

Предварительные требования к клиенту Windows 10 для инструментов управления Exchange 2019

  1. Установите распространяемый пакет Visual C++ для Visual Studio 2012

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

  2. Если вы не собираетесь использовать программу установки Exchange для установки необходимых компонентов Windows (в мастере или из командной строки), выполните указанную ниже команду в Windows PowerShell.

    Enable-WindowsOptionalFeature -Online -FeatureName IIS-ManagementScriptingTools,IIS-ManagementScriptingTools,IIS-IIS6ManagementCompatibility,IIS-LegacySnapIn,IIS-ManagementConsole,IIS-Metabase,IIS-WebServerManagementTools,IIS-WebServerRole
    

Предварительные требования для подготовки Active Directory к Exchange 2016

Вы можете использовать любой рядовой сервер из домена Active Directory для подготовки Active Directory к Exchange 2016.

  1. На компьютере должно быть установлено следующее программное обеспечение:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

  2. Установите пакет средств удаленного администрирования с помощью следующей команды в Windows PowerShell:

    Install-WindowsFeature RSAT-ADDS
    

После установки пакета средств удаленного администрирования компьютер может использоваться для подготовки Active Directory. Дополнительные сведения см. в статье Подготовка Active Directory и доменов.

Предварительные требования к Windows Server 2016 для Exchange 2016

Перечень компонентов, необходимых для установки Exchange 2016 на компьютерах под управлением Windows Server 2016, зависит от того, какую роль Exchange вы планируете установить. Ознакомьтесь с одним из приведенных ниже разделов, соответствующим устанавливаемой роли.

Важно!

В случае Windows Server 2016 требуется накопительный пакет обновления 3 или более поздней версии для Exchange 2016.

Серверы почтовых ящиков Exchange 2016 на Windows Server 2016

  1. Запустите следующую команду в Windows PowerShell для установки необходимых компонентов Windows:

    Install-WindowsFeature NET-Framework-45-Features, Server-Media-Foundation, RPC-over-HTTP-proxy, RSAT-Clustering, RSAT-Clustering-CmdInterface, RSAT-Clustering-Mgmt, RSAT-Clustering-PowerShell, WAS-Process-Model, Web-Asp-Net45, Web-Basic-Auth, Web-Client-Auth, Web-Digest-Auth, Web-Dir-Browsing, Web-Dyn-Compression, Web-Http-Errors, Web-Http-Logging, Web-Http-Redirect, Web-Http-Tracing, Web-ISAPI-Ext, Web-ISAPI-Filter, Web-Lgcy-Mgmt-Console, Web-Metabase, Web-Mgmt-Console, Web-Mgmt-Service, Web-Net-Ext45, Web-Request-Monitor, Web-Server, Web-Stat-Compression, Web-Static-Content, Web-Windows-Auth, Web-WMI, Windows-Identity-Foundation, RSAT-ADDS
    
  2. Установите следующее программное обеспечение по порядку:

    а) .NET Framework 4.8

    b. Обновление для системы безопасности от 13 декабря 2016 г. (KB3206632)

    Примечание

    Установить это обновление можно только в том случае, если вы используете Windows Server 2016 версии 14393.576 или более ранней (приблизительно декабрь 2016 г.). Чтобы узнать, какую версию Windows Server вы используете, выполните команду winver. Если ваша версия Windows Server 2016 выше 14393.576, вам не нужно это обновление или замещающее его обновление KB3213522, выпущенное неделей позже. Программа установки Exchange 2016 осуществляет поиск данного обновления. Если оно не будет найдено, программа не разрешит продолжать установку и ясно уведомит вас о необходимости обновления.

    в) распространяемый пакет Visual C++ для Visual Studio 2012;

    г) распространяемый пакет Visual C++ для Visual Studio 2013.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

    • Распространяемые пакеты Visual C++ для Visual Studio 2013 требуются только для роли почтового ящика. Другие установки Exchange (средства управления и пограничный транспортный сервер) требуют только распространяемые пакеты Visual C++ для Visual Studio 2012.

    д) Модуль перезаписи URL-адресов IIS

    Примечание

    Модуль перезаписи URL-адресов IIS требуется с накопительным обновлением 22 или более поздней версии.

    е) Microsoft Unified Communications Managed API 4.0, среда выполнения для Core (64-разрядная версия)

Пограничные транспортные серверы Exchange 2016 на Windows Server 2016

  1. Запустите следующую команду в Windows PowerShell для установки необходимых компонентов Windows:

    Install-WindowsFeature ADLDS
    
  2. Установите следующее программное обеспечение по порядку:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

Необходимые требования в отношении Windows Server 2012 и Windows Server 2012 R2 для Exchange 2016

Предварительные требования для Exchange 2016 на компьютерах с Windows Server 2012 или Windows Server 2012 R2 зависят от ролей Exchange, которые вы устанавливаете. Прочтите приведенный ниже раздел, соответствующий устанавливаемой роли.

Серверы почтовых ящиков Exchange 2016 на Windows Server 2012 или Windows Server 2012 R2

  1. Запустите следующую команду в Windows PowerShell для установки необходимых компонентов Windows:

    Install-WindowsFeature AS-HTTP-Activation, Server-Media-Foundation, NET-Framework-45-Features, RPC-over-HTTP-proxy, RSAT-Clustering, RSAT-Clustering-CmdInterface, RSAT-Clustering-Mgmt, RSAT-Clustering-PowerShell, WAS-Process-Model, Web-Asp-Net45, Web-Basic-Auth, Web-Client-Auth, Web-Digest-Auth, Web-Dir-Browsing, Web-Dyn-Compression, Web-Http-Errors, Web-Http-Logging, Web-Http-Redirect, Web-Http-Tracing, Web-ISAPI-Ext, Web-ISAPI-Filter, Web-Lgcy-Mgmt-Console, Web-Metabase, Web-Mgmt-Console, Web-Mgmt-Service, Web-Net-Ext45, Web-Request-Monitor, Web-Server, Web-Stat-Compression, Web-Static-Content, Web-Windows-Auth, Web-WMI, Windows-Identity-Foundation, RSAT-ADDS
    
  2. Установите следующее программное обеспечение по порядку:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    в) распространяемый пакет Visual C++ для Visual Studio 2013.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

    • Распространяемые пакеты Visual C++ для Visual Studio 2013 требуются только для роли почтового ящика. Установки средств управления Exchange и пограничных транспортных серверов требуют только распространяемые пакеты Visual C++ для Visual Studio 2012.

    г) Модуль перезаписи URL-адресов IIS

    Примечание

    Модуль перезаписи URL-адресов IIS требуется с накопительным обновлением 22 или более поздней версии.

    д) Обновление для универсальной среды выполнения C в Windows (KB2999226)

    Примечание

    Обновление для универсальной среды выполнения C в Windows (KB2999226) требуется в Server 2012 R2 с накопительным обновлением 22 или более поздней версии.

    е) Microsoft Unified Communications Managed API 4.0, среда выполнения для Core (64-разрядная версия)

Пограничные транспортные серверы Exchange 2016 на Windows Server 2012 или Windows Server 2012 R2

  1. Запустите следующую команду в Windows PowerShell для установки необходимых компонентов Windows:

    Install-WindowsFeature ADLDS
    
  2. Установите следующее программное обеспечение по порядку:

    а) .NET Framework 4.8

    б) распространяемый пакет Visual C++ для Visual Studio 2012.

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

Предварительные требования к клиенту Windows для инструментов управления Exchange 2016

Средства управления Exchange 2016 на Windows 10

  1. Установите распространяемый пакет Visual C++ для Visual Studio 2012

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

  2. Выполните следующую команду в окне Windows PowerShell в окне с повышенными привилегиями (т. е. необходимо открыть окно Windows PowerShell с помощью команды Запуск от имени администратора):

    Enable-WindowsOptionalFeature -Online -FeatureName IIS-ManagementScriptingTools,IIS-ManagementScriptingTools,IIS-IIS6ManagementCompatibility,IIS-LegacySnapIn,IIS-ManagementConsole,IIS-Metabase,IIS-WebServerManagementTools,IIS-WebServerRole
    

Средства управления Exchange 2016 на Windows 8.1

  1. Установите .NET Framework 4.8

  2. Установите распространяемый пакет Visual C++ для Visual Studio 2012

    Примечание

    • Системные требования для распространяемого пакета Visual C++ не упоминают поддержку Windows Server 2016 и Windows Server 2019, но распространяемый пакет можно безопасно установить в этих версиях Windows.

    • Обзор актуальных поддерживаемых версий: версии распространяемого пакета Visual C++.

  3. Выполните следующую команду в окне Windows PowerShell в окне с повышенными привилегиями (т. е. необходимо открыть окно Windows PowerShell с помощью команды Запуск от имени администратора):

    Enable-WindowsOptionalFeature -Online -FeatureName IIS-ManagementScriptingTools,IIS-ManagementScriptingTools,IIS-IIS6ManagementCompatibility,IIS-LegacySnapIn,IIS-ManagementConsole,IIS-Metabase,IIS-WebServerManagementTools,IIS-WebServerRole